<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__ble__common__api__macros" kind="group">
    <compoundname>group_ble_common_api_macros</compoundname>
    <title>Common</title>
      <sectiondef kind="define">
      <memberdef id="group__group__ble__common__api__macros_1ga34124dadf7cecb00bc63b1859b17dd4b" kind="define" prot="public" static="no">
        <name>CY_BLE_LL_CONTROLLER_HEAP_REQ_SOC</name>
        <initializer>(0u)</initializer>
        <briefdescription>
<para>The size of RAM memory required for the Stack controller. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cfg_common.h" bodystart="452" column="17" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cfg_common.h" line="452" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga009e2688edfe3dc77235947015b506a2" kind="define" prot="public" static="no">
        <name>CY_BLE_STACK_RAM_SIZE</name>
        <initializer>(CY_BLE_ALIGN_TO_4(CY_BLE_DEFAULT_HOST_RAM_SIZE + <ref kindref="member" refid="group__group__ble__common__api__macros_1ga34124dadf7cecb00bc63b1859b17dd4b">CY_BLE_LL_CONTROLLER_HEAP_REQ_SOC</ref> +\
                                                    CY_BLE_RAM_SECURE_CONNECTIONS_SIZE + CY_BLE_L2CAP_Q_HEAP +          \
                                                    CY_BLE_STACK_BOND_RAM_SIZE +                                        \
                                                    (CY_BLE_GATT_MTU_PLUS_L2CAP_MEM_EXT * CY_BLE_GATT_MTU_BUFF_COUNT) + \
                                                    (CY_BLE_L2CAP_PSM_PLUS_L2CAP_MEM_EXT * CY_BLE_L2CAP_PSM_COUNT) +    \
                                                    (CY_BLE_L2CAP_CBFC_PLUS_L2CAP_MEM_EXT * 2u *                        \
                                                        CY_BLE_L2CAP_LOGICAL_CHANNEL_COUNT) +                           \
                                                    (CY_BLE_L2CAP_MTU_PLUS_L2CAP_MEM_EXT * 2u *                         \
                                                        CY_BLE_L2CAP_LOGICAL_CHANNEL_COUNT) +                           \
                                                    (CY_BLE_STACK_BUFFER_MGR_UTIL_RAM_SZ * CY_BLE_STACK_APP_MIN_POOL) + \
                                                    (CY_BLE_RAM_SIZE_HOST_SINGLE_CONN * CY_BLE_CONN_COUNT) +  \
                                                    (CY_BLE_GATT_PREPARE_WRITE_BUFF_LEN))) /* This buffer must always be the latest */</initializer>
        <briefdescription>
<para>The size of RAM memory required for the Stack host. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cfg_common.h" bodystart="456" column="13" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cfg_common.h" line="456" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1gaa8184726701023692e946aaae83530ca" kind="define" prot="public" static="no">
        <name>CY_BLE_STACK_CONTROLLER_RAM_SIZE</name>
        <initializer>(CY_BLE_LL_CONTROLLER_HEAP_REQ)</initializer>
        <briefdescription>
<para>The size of RAM memory required for the Stack Controller. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cfg_common.h" bodystart="476" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cfg_common.h" line="476" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1gac8d46edfa039f98e1c96a5180e58c808" kind="define" prot="public" static="no">
        <name>CY_BLE_STACK_FLASH_SIZE</name>
        <initializer>(CY_BLE_STACK_BOND_FLASH_SIZE + CY_BLE_STACK_RESOLVING_LIST_SIZE + \
                                                     CY_BLE_STACK_WHITELIST_SIZE + CY_BLE_STACK_FLASH_CRC_SIZE )</initializer>
        <briefdescription>
<para>The size of flash memory required for the bonding data. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cfg_common.h" bodystart="479" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cfg_common.h" line="479" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga39396d76bf31dc87878ad814fb42f312" kind="define" prot="public" static="no">
        <name>CY_BLE_GAP_ADV_FLAG_LE_LIMITED_DISC_MODE</name>
        <initializer>(0x01u)</initializer>
        <briefdescription>
<para>LE Limited Discoverable Mode. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" bodystart="427" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" line="427" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1gaae0d68df43cdc8ebc607bd4795380c0c" kind="define" prot="public" static="no">
        <name>CY_BLE_GAP_ADV_FLAG_LE_GENERAL_DISC_MODE</name>
        <initializer>(0x02u)</initializer>
        <briefdescription>
<para>LE General Discoverable Mode. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" bodystart="428" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" line="428" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga1cc8bfdbc40de3c652a3e877f8b29333" kind="define" prot="public" static="no">
        <name>CY_BLE_GAP_ADV_FLAG_BR_EDR_NOT_SUPPORTED</name>
        <initializer>(0x04u)</initializer>
        <briefdescription>
<para>BR/EDR not supported. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" bodystart="429" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" line="429" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga34bf39046b8f347515faf761ba98d949" kind="define" prot="public" static="no">
        <name>CY_BLE_GAP_ADV_FLAG_LE_BR_EDR_CONTROLLER</name>
        <initializer>(0x08u)</initializer>
        <briefdescription>
<para>Simultaneous LE and BR/EDR, Controller. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" bodystart="430" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" line="430" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga1758c3a58744d6fcb4524d2bf232e96e" kind="define" prot="public" static="no">
        <name>CY_BLE_GAP_ADV_FLAG_LE_BR_EDR_HOST</name>
        <initializer>(0x10u)</initializer>
        <briefdescription>
<para>Simultaneous LE and BR/EDR, Host. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" bodystart="431" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" line="431" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga043f73812d2c411404bc4f6589866808" kind="define" prot="public" static="no">
        <name>CY_BLE_GAP_ADV_FLAGS_PACKET_LENGTH</name>
        <initializer>(0x02u)</initializer>
        <briefdescription>
<para>Length of flags in an advertisement packet. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" bodystart="432" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" line="432" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga5c439bc9352ecc9f0363d933daa095e6" kind="define" prot="public" static="no">
        <name>CY_BLE_GAP_ADV_ADVERT_INTERVAL_MIN</name>
        <initializer>(0x0020u)</initializer>
        <briefdescription>
<para>Minimum Advertising interval in 625 us units, i.e. </para>        </briefdescription>
        <detaileddescription>
<para>20 ms. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" bodystart="435" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" line="436" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga0de4eaa3bf9c340de674e179f747ce3e" kind="define" prot="public" static="no">
        <name>CY_BLE_GAP_ADV_ADVERT_INTERVAL_NONCON_MIN</name>
        <initializer>(0x00A0u)</initializer>
        <briefdescription>
<para>Minimum Advertising interval in 625 us units for non connectable mode, i.e. </para>        </briefdescription>
        <detaileddescription>
<para>100 ms. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" bodystart="438" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" line="438" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1gad7c39325fdf3892054c6f6e985e3b7c8" kind="define" prot="public" static="no">
        <name>CY_BLE_GAP_ADV_ADVERT_INTERVAL_MAX</name>
        <initializer>(0x4000u)</initializer>
        <briefdescription>
<para>Maximum Advertising interval in 625 us units, i.e. </para>        </briefdescription>
        <detaileddescription>
<para>10.24 s. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" bodystart="441" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" line="440" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga75b3d8a65e30ea883e74424eaed2643d" kind="define" prot="public" static="no">
        <name>CY_BLE_GAP_ADV_ADVERT_INTERVAL_PACKET_LENGTH</name>
        <initializer>(0x03u)</initializer>
        <briefdescription>
<para>Length of the Advertising Interval AD type in an advertisement packet. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" bodystart="444" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" line="442" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga6532d7dd9eef93f74ba93882cc0f7e1d" kind="define" prot="public" static="no">
        <name>CY_BLE_GAPC_CONNECTING_TIMEOUT</name>
        <initializer>(30u)</initializer>
        <briefdescription>
<para>Seconds. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" bodystart="447" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" line="443" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga4f351ae5e87a246f8bfe7ab72f19299f" kind="define" prot="public" static="no">
        <name>CY_BLE_INVALID_CONN_HANDLE_VALUE</name>
        <initializer>(0xFFu)</initializer>
        <briefdescription>
<para>Invalid Connection Handle Value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" bodystart="448" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" line="444" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1gac8b0b0f8560a36ade3c18361f2ad4e16" kind="define" prot="public" static="no">
        <name>CY_BLE_STORE_DATA_MODE_BLOCKING</name>
        <initializer>(0x0u)</initializer>
        <briefdescription>
<para>Blocking write. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" bodystart="451" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" line="447" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1gaa4dfe7fd4f2cbd4de6939447b8215464" kind="define" prot="public" static="no">
        <name>CY_BLE_STORE_DATA_MODE_NON_BLOCKING</name>
        <initializer>(0x1u)</initializer>
        <briefdescription>
<para>Non-blocking write. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" bodystart="452" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" line="448" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga39947b7a2a107e95e56613e6003d0170" kind="define" prot="public" static="no">
        <name>CY_BLE_CHAR_PROP_BROADCAST</name>
        <initializer>(0x01u)</initializer>
        <briefdescription>
<para>Broadcast. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="586" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="586" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga562d2e1f0b9dc9605c6da6e4911d7181" kind="define" prot="public" static="no">
        <name>CY_BLE_CHAR_PROP_READ</name>
        <initializer>(0x02u)</initializer>
        <briefdescription>
<para>Read. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="587" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="587" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga91c1bff112be636a42032ad976033052" kind="define" prot="public" static="no">
        <name>CY_BLE_CHAR_PROP_WRITE_WITHOUT_RSP</name>
        <initializer>(0x04u)</initializer>
        <briefdescription>
<para>Write Without Response. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="588" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="588" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga208fe0eb67c30d084f71e9cb057c924a" kind="define" prot="public" static="no">
        <name>CY_BLE_CHAR_PROP_WRITE</name>
        <initializer>(0x08u)</initializer>
        <briefdescription>
<para>Write. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="589" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="589" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga8a17c63dfc3b5a68a4d01d4a70a6961a" kind="define" prot="public" static="no">
        <name>CY_BLE_CHAR_PROP_NOTIFY</name>
        <initializer>(0x10u)</initializer>
        <briefdescription>
<para>Notify. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="590" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="590" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga87d60ccbad4bae8892c7f3c1e4757335" kind="define" prot="public" static="no">
        <name>CY_BLE_CHAR_PROP_INDICATE</name>
        <initializer>(0x20u)</initializer>
        <briefdescription>
<para>Indicate. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="591" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="591" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1gae4e0eca1fc9b2ef56a6acc6bdea73b16" kind="define" prot="public" static="no">
        <name>CY_BLE_CHAR_PROP_SIGNED_WRITE</name>
        <initializer>(0x40u)</initializer>
        <briefdescription>
<para>Authenticated Signed Writes. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="592" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="592" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga8d395079c1177ece03ef7849f410005a" kind="define" prot="public" static="no">
        <name>CY_BLE_CHAR_PROP_EXTENDED_PROPERTIES</name>
        <initializer>(0x80u)</initializer>
        <briefdescription>
<para>Extended properties. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="593" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="593" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga79f305fb59aa6bf3b0e1bef73bdb7190" kind="define" prot="public" static="no">
        <name>CY_BLE_CCCD_DEFAULT</name>
        <initializer>(0x0000u)</initializer>
        <briefdescription>
<para>Notifications and Indications disabled. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="596" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="596" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1gae9f0e6426a53aad9f70a7156b2cd1ef0" kind="define" prot="public" static="no">
        <name>CY_BLE_CCCD_NOTIFICATION</name>
        <initializer>(0x0001u)</initializer>
        <briefdescription>
<para>Notifications enabled. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="597" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="597" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga5bd6807a1377ba99ac0d7b208a03d7b2" kind="define" prot="public" static="no">
        <name>CY_BLE_CCCD_INDICATION</name>
        <initializer>(0x0002u)</initializer>
        <briefdescription>
<para>Indications enabled. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="598" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="598" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga95fe907fd1bb6042ce7eb2d7eb46d1aa" kind="define" prot="public" static="no">
        <name>CY_BLE_CCCD_LEN</name>
        <initializer>(0x02u)</initializer>
        <briefdescription>
<para>Length of CCCD desctiptor. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="599" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="599" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga08a4bef08afa76a50f340f62aa29e74a" kind="define" prot="public" static="no">
        <name>CY_BLE_SCCD_DEFAULT</name>
        <initializer>(0x0000u)</initializer>
        <briefdescription>
<para>Broadcasts disabled. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="602" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="602" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1gaf92cb78ef256965b90c68b23308a223a" kind="define" prot="public" static="no">
        <name>CY_BLE_SCCD_BROADCAST</name>
        <initializer>(0x0001u)</initializer>
        <briefdescription>
<para>Broadcasts enabled. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="603" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="603" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1gae3cf08aa180f1b88712e53ad1f465541" kind="define" prot="public" static="no">
        <name>CY_BLE_SCCD_LEN</name>
        <initializer>(0x02u)</initializer>
        <briefdescription>
<para>Length of SCCD desctiptor. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="604" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="604" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1gafee694364c086921d75b640251bc9580" kind="define" prot="public" static="no">
        <name>CY_BLE_CPFD_BOOLEAN</name>
        <initializer>(0x01u)</initializer>
        <briefdescription>
<para>Unsigned 1-bit; 0=false, 1=true. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="607" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="607" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1gab5f6922fe32988710831d5d7db0b48d4" kind="define" prot="public" static="no">
        <name>CY_BLE_CPFD_UINT2</name>
        <initializer>(0x02u)</initializer>
        <briefdescription>
<para>Unsigned 2-bit integer. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="608" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="608" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1gadfec241197ac504b124185011da60963" kind="define" prot="public" static="no">
        <name>CY_BLE_CPFD_UINT4</name>
        <initializer>(0x03u)</initializer>
        <briefdescription>
<para>Unsigned 4-bit integer. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="609" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="609" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga082f20a40cec4301e25c3709bdeaa2a1" kind="define" prot="public" static="no">
        <name>CY_BLE_CPFD_UINT8</name>
        <initializer>(0x04u)</initializer>
        <briefdescription>
<para>Unsigned 8-bit integer. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="610" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="610" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga91993284279dbea404cacade95e5c70b" kind="define" prot="public" static="no">
        <name>CY_BLE_CPFD_UINT12</name>
        <initializer>(0x05u)</initializer>
        <briefdescription>
<para>Unsigned 12-bit integer. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="611" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="611" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1gab44691ef7c27b1d73f09eba375fced28" kind="define" prot="public" static="no">
        <name>CY_BLE_CPFD_UINT16</name>
        <initializer>(0x06u)</initializer>
        <briefdescription>
<para>Unsigned 16-bit integer. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="612" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="612" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga5c937a686de3fd5465499169d80020f0" kind="define" prot="public" static="no">
        <name>CY_BLE_CPFD_UINT24</name>
        <initializer>(0x07u)</initializer>
        <briefdescription>
<para>Unsigned 24-bit integer. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="613" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="613" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga1c090bae072b6b94d1e1368fd8b4cccb" kind="define" prot="public" static="no">
        <name>CY_BLE_CPFD_UINT32</name>
        <initializer>(0x08u)</initializer>
        <briefdescription>
<para>Unsigned 32-bit integer. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="614" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="614" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga99e4ca768ee7d8130a9646a6f180fd5a" kind="define" prot="public" static="no">
        <name>CY_BLE_CPFD_UINT48</name>
        <initializer>(0x09u)</initializer>
        <briefdescription>
<para>Unsigned 48-bit integer. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="615" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="615" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1gadf4a729914b730d4523aa3930f4c865b" kind="define" prot="public" static="no">
        <name>CY_BLE_CPFD_UINT64</name>
        <initializer>(0x0au)</initializer>
        <briefdescription>
<para>Unsigned 64-bit integer. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="616" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="616" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1gadfa91899e07b2a382d00cfff719fdc0b" kind="define" prot="public" static="no">
        <name>CY_BLE_CPFD_UINT128</name>
        <initializer>(0x0bu)</initializer>
        <briefdescription>
<para>Unsigned 128-bit integer. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="617" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="617" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga8d8abfce034c6ea54ab7ad7038a39489" kind="define" prot="public" static="no">
        <name>CY_BLE_CPFD_INT8</name>
        <initializer>(0x0cu)</initializer>
        <briefdescription>
<para>Signed 8-bit integer. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="618" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="618" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga464c717126d279f1d72a385c631fff81" kind="define" prot="public" static="no">
        <name>CY_BLE_CPFD_INT12</name>
        <initializer>(0x0du)</initializer>
        <briefdescription>
<para>Signed 12-bit integer. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="619" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="619" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga8e0fb40b8e6d1a538dbbec6a1f7bbad7" kind="define" prot="public" static="no">
        <name>CY_BLE_CPFD_INT16</name>
        <initializer>(0x0eu)</initializer>
        <briefdescription>
<para>Signed 16-bit integer. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="620" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="620" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga1bd19743b315f923035b6b54a9c41d1d" kind="define" prot="public" static="no">
        <name>CY_BLE_CPFD_INT24</name>
        <initializer>(0x0fu)</initializer>
        <briefdescription>
<para>Signed 24-bit integer. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="621" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="621" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1gad4e52d1a1ab069703ea1842eb9077ace" kind="define" prot="public" static="no">
        <name>CY_BLE_CPFD_INT32</name>
        <initializer>(0x10u)</initializer>
        <briefdescription>
<para>Signed 32-bit integer. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="622" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="622" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga93e65611a312d87e0248bea0dd214b2b" kind="define" prot="public" static="no">
        <name>CY_BLE_CPFD_INT48</name>
        <initializer>(0x11u)</initializer>
        <briefdescription>
<para>Signed 48-bit integer. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="623" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="623" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga2f0674c71e99e24724f541014fd13036" kind="define" prot="public" static="no">
        <name>CY_BLE_CPFD_INT64</name>
        <initializer>(0x12u)</initializer>
        <briefdescription>
<para>Signed 64-bit integer. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="624" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="624" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga7cb2c44c5843e890d76b9d6822f0be81" kind="define" prot="public" static="no">
        <name>CY_BLE_CPFD_INT128</name>
        <initializer>(0x13u)</initializer>
        <briefdescription>
<para>Signed 128-bit integer. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="625" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="625" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga6d203728cb8db6868b6eaf52c9b2e406" kind="define" prot="public" static="no">
        <name>CY_BLE_CPFD_IEEE754_FP32</name>
        <initializer>(0x14u)</initializer>
        <briefdescription>
<para>IEEE-754 32-bit floating point. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="626" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="626" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1gaac9a371232563283e699db071928c349" kind="define" prot="public" static="no">
        <name>CY_BLE_CPFD_IEEE754_FP64</name>
        <initializer>(0x15u)</initializer>
        <briefdescription>
<para>IEEE-754 64-bit floating point. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="627" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="627" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga8128945d937060e2f84864a238551f55" kind="define" prot="public" static="no">
        <name>CY_BLE_CPFD_IEEE11073_SFLOAT16</name>
        <initializer>(0x16u)</initializer>
        <briefdescription>
<para>IEEE-11073 16-bit SFLOAT. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="628" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="628" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1gac743744ffc917df5277f96263c15323c" kind="define" prot="public" static="no">
        <name>CY_BLE_CPFD_IEEE11073_FLOAT32</name>
        <initializer>(0x17u)</initializer>
        <briefdescription>
<para>IEEE-11073 32-bit FLOAT. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="629" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="629" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga16bb5bf63a270ffc77f48c205f9f31a5" kind="define" prot="public" static="no">
        <name>CY_BLE_CPFD_IEEE20601_FORMAT</name>
        <initializer>(0x18u)</initializer>
        <briefdescription>
<para>IEEE-20601 format. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="630" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="630" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga15bfe2847d40e1d157041a64584c5672" kind="define" prot="public" static="no">
        <name>CY_BLE_CPFD_UTF8_STRING</name>
        <initializer>(0x19u)</initializer>
        <briefdescription>
<para>UTF-8 string. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="631" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="631" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga3b57f27e8ecb3891c9b7a63bf751af1d" kind="define" prot="public" static="no">
        <name>CY_BLE_CPFD_UTF16_STRING</name>
        <initializer>(0x1au)</initializer>
        <briefdescription>
<para>UTF-16 string. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="632" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="632" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga158d7e67516dba45597081904c5c5c21" kind="define" prot="public" static="no">
        <name>CY_BLE_CPFD_OPAQUE_STRUCTURE</name>
        <initializer>(0x1bu)</initializer>
        <briefdescription>
<para>Opaque structure. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="633" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="633" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1gafc1d6b05633b925ba5d0de07c6f69712" kind="define" prot="public" static="no">
        <name>CY_BLE_CPFD_LEN</name>
        <initializer>(0x01u)</initializer>
        <briefdescription>
<para>Length of CPFD desctiptor. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="634" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="634" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1gac3d47d6ac40079055cf6506e08bc9de7" kind="define" prot="public" static="no">
        <name>CY_BLE_CEPD_DEFAULT</name>
        <initializer>(0x0000u)</initializer>
        <briefdescription>
<para>Writable Auxiliaries &amp; Reliable Write disabled. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="637" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="637" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1gaefb0de9ab7b8b916e611783e2292668c" kind="define" prot="public" static="no">
        <name>CY_BLE_CEPD_RELIABLE_WRITE</name>
        <initializer>(0x0001u)</initializer>
        <briefdescription>
<para>Reliable Write enabled. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="638" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="638" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga7d699086805bd8efcd005f444f3d4490" kind="define" prot="public" static="no">
        <name>CY_BLE_CEPD_WRITABLE_AUXILIARIES</name>
        <initializer>(0x0002u)</initializer>
        <briefdescription>
<para>Writable Auxiliaries enabled. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="639" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="639" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1gadfda38c86f32d68426a8f4444944a856" kind="define" prot="public" static="no">
        <name>CY_BLE_CEPD_LEN</name>
        <initializer>(0x02u)</initializer>
        <briefdescription>
<para>Length of CEPD desctiptor. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="640" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="640" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1gaa26739a88f7bb574388774f977d85de4" kind="define" prot="public" static="no">
        <name>CY_BLE_DB_ATTR_HANDLE_LEN</name>
        <initializer>(0x02u)</initializer>
        <briefdescription>
<para>Length of DB ATTR HANDLE. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="642" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="642" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1gabbe7236f2ce22ec49df2f147ecbe7f21" kind="define" prot="public" static="no">
        <name>CY_BLE_PDU_DATA_LEN_ZERO</name>
        <initializer>(0x00u)</initializer>
        <briefdescription>
<para>Zero. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="645" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="645" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1gaf0e4b0c71e9a3e3e5a5660bdff79b54d" kind="define" prot="public" static="no">
        <name>CY_BLE_PDU_DATA_LEN_ONE_BYTE</name>
        <initializer>(0x01u)</initializer>
        <briefdescription>
<para>PDU len: 1 byte. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="646" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="646" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga3e3faa2979a0eb5f9d7e1d2f1d642836" kind="define" prot="public" static="no">
        <name>CY_BLE_PDU_DATA_LEN_TWO_BYTES</name>
        <initializer>(0x02u)</initializer>
        <briefdescription>
<para>PDU len: 2 bytes. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="647" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="647" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga1009ca7528698d7127c13f89e7ec1dbe" kind="define" prot="public" static="no">
        <name>CY_BLE_PDU_DATA_LEN_THREE_BYTES</name>
        <initializer>(0x03u)</initializer>
        <briefdescription>
<para>PDU len: 3 bytes. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="648" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="648" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga5797bceeef5b21ad19a52249929507c5" kind="define" prot="public" static="no">
        <name>CY_BLE_PDU_DATA_LEN_FOUR_BYTES</name>
        <initializer>(0x04u)</initializer>
        <briefdescription>
<para>PDU len: 4 bytes. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="649" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="649" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga8025a72daa4147f87b7255cc5775c85e" kind="define" prot="public" static="no">
        <name>CY_BLE_PDU_DATA_LEN_FIVE_BYTES</name>
        <initializer>(0x05u)</initializer>
        <briefdescription>
<para>PDU len: 5 bytes. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="650" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="650" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga01db039bed93dc3deb69c6a66a90d90a" kind="define" prot="public" static="no">
        <name>CY_BLE_PDU_DATA_LEN_SIX_BYTES</name>
        <initializer>(0x06u)</initializer>
        <briefdescription>
<para>PDU len: 6 bytes. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="651" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="651" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1gaafaf4d5be9d143a23e717b88e663541e" kind="define" prot="public" static="no">
        <name>CY_BLE_PDU_DATA_LEN_SEVEN_BYTES</name>
        <initializer>(0x07u)</initializer>
        <briefdescription>
<para>PDU len: 7 bytes. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="652" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="652" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga1997a803df068d5c59b658204346eb8e" kind="define" prot="public" static="no">
        <name>CY_BLE_PDU_DATA_LEN_EIGHT_BYTES</name>
        <initializer>(0x08u)</initializer>
        <briefdescription>
<para>PDU len: 8 bytes. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="653" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="653" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga1c114ecb5d16d1be9940f1feb7a2bca7" kind="define" prot="public" static="no">
        <name>CY_BLE_PDU_DATA_LEN_NINE_BYTES</name>
        <initializer>(0x09u)</initializer>
        <briefdescription>
<para>PDU len: 9 bytes. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="654" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="654" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga085824b3c97e09e16523c6585868e94b" kind="define" prot="public" static="no">
        <name>CY_BLE_PPCPC_MIN_CONN_INTV_OFFSET</name>
        <initializer>(0x00u)</initializer>
        <briefdescription>
<para>Offset of Minimum Connection Interval Field. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="657" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="657" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga59d3bcac8e34f6f18640e9e02bb89830" kind="define" prot="public" static="no">
        <name>CY_BLE_PPCPC_MAX_CONN_INTV_OFFSET</name>
        <initializer>(0x02u)</initializer>
        <briefdescription>
<para>Offset of Maximum Connection Interval Field. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="658" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="658" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga5c654fd61f1919799da68c0f8b93d431" kind="define" prot="public" static="no">
        <name>CY_BLE_PPCPC_SLAVE_LATENCY_OFFSET</name>
        <initializer>(0x04u)</initializer>
        <briefdescription>
<para>Offset of Slave Latency Field. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="659" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="659" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga8fe29c8eaf742f3005697c7902e4f7f6" kind="define" prot="public" static="no">
        <name>CY_BLE_PPCPC_SUP_TIMEOUT_OFFSET</name>
        <initializer>(0x06u)</initializer>
        <briefdescription>
<para>Offset of Connection Supervision Timeout Field. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="660" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="660" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga1efd0654fe122806bbbb139d0296bf51" kind="define" prot="public" static="no">
        <name>CY_BLE_PPCPC_LEN</name>
        <initializer>(0x08u)</initializer>
        <briefdescription>
<para>Length of PPCPC desctiptor. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="661" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="661" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1gaafdc8e5843a1124dfbe69435522d08b6" kind="define" prot="public" static="no">
        <name>CY_BLE_SMP_USER_PASSKEY_SIZE</name>
        <initializer>(6u)</initializer>
        <briefdescription>
<para>User Passkey size. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="724" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="724" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1gaeae8019744ccc9a49ce29cdfb4da2347" kind="define" prot="public" static="no">
        <name>CY_BLE_SMP_IDADDR_SIZE</name>
        <initializer>(7u)</initializer>
        <briefdescription>
<para>Identity Address data size. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="725" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="725" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1gaff55c1c9afd074b768127ba0fce55863" kind="define" prot="public" static="no">
        <name>CY_BLE_SMP_IRK_SIZE</name>
        <initializer>(16u)</initializer>
        <briefdescription>
<para>Identity Resolving Key size. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="726" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="726" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga6069b4ad094d74d0f61883235089bdf7" kind="define" prot="public" static="no">
        <name>CY_BLE_SMP_CSRK_SIZE</name>
        <initializer>(16u)</initializer>
        <briefdescription>
<para>Connection Signature Resolving key size. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="727" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="727" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga5132c9ba611f2cdb3ab694b8fac11d32" kind="define" prot="public" static="no">
        <name>CY_BLE_SMP_LTK_SIZE</name>
        <initializer>(16u)</initializer>
        <briefdescription>
<para>Long Term Key Size size. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="728" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="728" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga85fff84401ed7c880cd25cbd04138ba8" kind="define" prot="public" static="no">
        <name>CY_BLE_SMP_EDIV_SIZE</name>
        <initializer>(2u)</initializer>
        <briefdescription>
<para>Encrypted Diversifier size. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="729" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="729" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga3b8a539a78d76a5e311f46a16cbe2e9e" kind="define" prot="public" static="no">
        <name>CY_BLE_SMP_RAND_24B_SIZE</name>
        <initializer>(3u)</initializer>
        <briefdescription>
<para>24 Bit Random Number size </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="730" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="730" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga9a14437ab36520caadcf18c6b11fada2" kind="define" prot="public" static="no">
        <name>CY_BLE_SMP_RAND_64B_SIZE</name>
        <initializer>(8u)</initializer>
        <briefdescription>
<para>64 Bit Random Number size </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="731" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="731" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1gaf8b44a227f4e3d1e649847216395c763" kind="define" prot="public" static="no">
        <name>CY_BLE_SMP_RAND_128B_SIZE</name>
        <initializer>(16u)</initializer>
        <briefdescription>
<para>128 Bit Random Number size </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="732" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="732" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga55417ed0b7b2080c32781f7d831aa804" kind="define" prot="public" static="no">
        <name>CY_BLE_NULL_CHARCTER</name>
        <initializer>((char8)(0))</initializer>
        <briefdescription>
<para>Null charter. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="733" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="733" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga3f7727fbf709001469a187eb1df36d34" kind="define" prot="public" static="no">
        <name>CY_BLE_NO_ALERT</name>
        <initializer>(0u)</initializer>
        <briefdescription>
<para>Alert Level: No Alert. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="740" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="740" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1gada3c7899e683c326e4ab13a09ca288fd" kind="define" prot="public" static="no">
        <name>CY_BLE_MILD_ALERT</name>
        <initializer>(1u)</initializer>
        <briefdescription>
<para>Alert Level: Mild Alert. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="741" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="741" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__macros_1ga58ceaf19cdb7e80cdd9b1b75ba512faa" kind="define" prot="public" static="no">
        <name>CY_BLE_HIGH_ALERT</name>
        <initializer>(2u)</initializer>
        <briefdescription>
<para>Alert Level: High Alert. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" bodystart="742" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gatt.h" line="742" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>BLE Common macros. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>